
/*
 * $Id: SharedOpts.cc,v 1.1.1.4 1999/02/12 22:27:40 rousskov Exp $
 *
 *
 * Web Polygraph  http://www.ircache.net/Polygraph/
 * ----------------------------------------------------------
 *
 *  Web Polygraph is copyrighted(C) 1998 by Alex Rousskov and
 *  the University of California, San Diego (UCSD), with all 
 *  rights reserved. Development is funded by the National Science
 *  Foundation (NLANR Cache grants NCR 9616602 and NCR 9521745).
 *  Please see the COPYRIGHT file for full details.
 *
 *  Web Polygraph is free software. You may copy and distribute 
 *  VERBATIM copies of this product. You may modify your copy 
 *  for your own use. You must NOT distribute modified copies.
 *
 *  If you publish any materials derived from or related to  
 *  Web Polygraph, you must give a credit reference to the
 *  National Science Foundation and the National Laboratory 
 *  for Applied Network Research.
 *
 *  This program is distributed WITHOUT ANY WARRANTY;
 *  without even the implied warranty of MERCHANTABILITY or
 *  FITNESS FOR A PARTICULAR PURPOSE.
 *
 */

#include "polygraph.h"

#include "SharedOpts.h"

SharedOpts TheOpts;

SharedOpts::SharedOpts():
	theHelpOpt(this,      "help",               "list of options"),
	theVerbLevel(this,    "verb_lvl <int>",     "console verbosity level", 0),
	doPrintReqs(this,     "prn_reqs <n|y>",     "dump request headers to console"),
	doPrintReps(this,     "prn_reps <n|y>",     "dump reply headers to console"),

	theConsFileName(this, "console <file>",     "redirect console output", "-"),
	theLogFileName(this,  "log <file>",         "detailed binary log file"),
	theLogSize(this,      "log_size <size>",    "binary log size limit", Size::MB(10)),

	theLingerTimeout(this,"linger_tout <time>", "linger on socket close"),
	doUseNagle(this,      "nagle <on|off>",     "use Nagle alg", true),

	theXactThinkTime(this,"xact_think <time>",  "pause on xaction start"),
	theRdThinkTime(0,     "rd_think <time>",    "pause on socket read"),
	theWrThinkTime(0,     "wr_think <time>",    "pause on socket write"),

	theGoal(this,         "goal <goal>",        "experiment goal"),

	theRngSeed(this,      "rng_seed <int>",     "general purpose r.n.g. seed", 1)
{
	theXactThinkTime.argType("time");
	theRdThinkTime.argType("time");
	theWrThinkTime.argType("time");
}


void SharedOpts::passSeed(int seed) {
	theXactThinkTime.rndGen()->seed(seed);
	theRdThinkTime.rndGen()->seed(seed);
	theWrThinkTime.rndGen()->seed(seed);
}
